LSMEM(1)

NUME
lsmem - listează intervalele de memorie de care se dispune cu starea lor curentă

REZUMAT

lsmem [opțiuni]

DESCRIERE

Comanda lsmem enumeră intervalele de memorie de care se dispune și starea lor curentă. Blocurile de memorie listate corespund reprezentării blocurilor de memorie din sysfs. Comanda arată, de asemenea, dimensiunea blocului de memorie și cantitatea de memorie în stare disponibilă și indisponibilă.

Ieșirea implicită este compatibilă cu implementarea originală din s390-tools, dar se recomandă cu tărie să evitați să folosiți ieșirile implicite în scripturile dumneavoastră. Definiți întotdeauna în mod explicit coloanele așteptate prin utilizarea opțiunii --output împreună cu o listă de coloane în mediile în care este necesară o ieșire stabilă.

Comanda lsmem enumeră un nou interval de memorie întotdeauna când blocul de memorie curent se distinge de blocul anterior printr-o coloană de ieșire. Acest comportament implicit poate fi anulat prin opțiunea --split (de exemplu, lsmem --split=ZONELE). Cuvântul special „none” poate fi utilizat pentru a ignora toate diferențele dintre blocurile de memorie și pentru a crea intervale continue cât mai mari. Semantica opusă este --all pentru a lista blocurile de memorie individuale.

Rețineți că unele coloane de ieșire pot furniza informații inexacte dacă o politică de divizare forțează lsmem să ignore diferențele dintre anumite atribute. De exemplu, dacă uniți blocuri de memorie detașabile și neatașabile într-un singur interval, atunci tot intervalul va fi marcat ca fiind neatașabil în rezultatul lsmem.

Nu toate coloanele sunt acceptate pe toate arhitecturile. Dacă se specifică o coloană care nu este acceptată, lsmem afișează coloana, dar nu furnizează date pentru aceasta.

Utilizați opțiunea --help pentru a vedea descrierea coloanelor.

OPȚIUNI

-a, --all
    Listează fiecare bloc de memorie în parte, în loc să combine blocuri de memorie cu atribute similare.

-b, --bytes
    Afișează dimensiunile în octeți, mai degrabă decât într-un format ușor de citit de către om.

    În mod implicit, unitatea în care sunt exprimate mărimile este octetul, iar prefixele unităților sunt exprimate în putere de 2^10 (1024). Abrevierile simbolurilor sunt prezentate trunchiat pentru a se obține o mai bună lizibilitate, prin prezentarea doar a primei litere a acestora; exemple: „1 KiB [en]/ 1 Kio [ro]” și „1 MiB [en] / 1 Mio [ro]" se expun ca "1 K" și respectiv "1 M", omițându-se intenționat mențiunea „iB”, care face parte din aceste abrevieri.

-J, --json
    Utilizează formatul de ieșire JSON.

-n, --noheadings
    Nu imprimă o linie de antet.

-o, --output listă
    Specifică ce coloane de ieșire se vor afișa. Utilizați --help pentru a obține o listă cu toate coloanele acceptate. Lista implicită de coloane poate fi extinsă dacă se specifică listă în formatul +listă (de exemplu: lsmem -o +NODE).

--output-all
    Afișează toate coloanele disponibile.

-P, --pairs
    Produce ieșirea sub formă de perechi cheie=„valoare”. Toate caracterele de valoare potențial nesigure sunt eludate în format hexazecimal (\x<cod>).

-r, --raw
    Produce ieșirea în format brut. Toate caracterele potențial nesigure sunt eludate în format hexazecimal (\x<code>).

-S, --split listă
    Specifică ce coloane (atribute) se utilizează pentru a împărți blocurile de memorie în intervale. Coloanele acceptate sunt STATE, REMOVABLE, NODE și ZONE sau „none”. Celelalte coloane sunt ignorate în mod silențios. Pentru mai multe detalii, a se vedea secțiunea DESCRIERE de mai sus.

-s, --sysroot director
    Adună date despre CPU pentru o instanță Linux, alta decât cea de la care este emisă comanda lsmem. Directorul director specificat este rădăcina de sistem a instanței Linux care urmează să fie inspectată.

--summary[=când]
    Această opțiune controlează ieșirea liniilor de rezumat. Argumentul opțional când poate fi never (niciodată), always (întotdeauna) sau only (doar). Dacă argumentul când este omis, valoarea implicită este "only". Ieșirea rezumatului este suprimată pentru --raw, --pairs și --json.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

AUTORI

lsmem a fost scris inițial de Gerald Schaefer pentru s390-tools în Perl. Versiunea în C pentru util-linux a fost scrisă de Clemens von Mann, Heiko Carstens și Karel Zak.

CONSULTAȚI ȘI

chmem(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda lsmem face parte din pachetul util-linux care poate fi descărcat de la